#
# Be sure to run `pod lib lint GMShareSDK.podspec' to ensure this is a
# valid spec before submitting.
#
# Any lines starting with a # are optional, but their use is encouraged
# To learn more about a Podspec see https://guides.cocoapods.org/syntax/podspec.html
#

Pod::Spec.new do |s|
  s.name             = 'GMShareSDK'
  s.version          = '0.1.7'
  s.summary          = 'A short description of GMShareSDK.'

# This description is used to generate tags and improve search results.
#   * Think: What does it do? Why did you write it? What is the focus?
#   * Try to keep it short, snappy and to the point.
#   * Write the description between the DESC delimiters below.
#   * Finally, don't worry about the indent, CocoaPods strips it!

  s.description      = <<-DESC
TODO: Add long description of the pod here.
                       DESC

  s.homepage         = 'http://git.wanmeizhensuo.com/gengmeiios/GMShareSDK.git'
  # s.screenshots     = 'www.example.com/screenshots_1', 'www.example.com/screenshots_2'
  s.license          = { :type => 'MIT', :file => 'LICENSE' }
  s.author           = { 'Q14' => 'qiaojinzhu@igengmei.com' }
  s.source           = { :git => 'git@git.wanmeizhensuo.com:gengmeiios/GMShareSDK.git', :tag => s.version.to_s }
  # s.social_media_url = 'https://twitter.com/<TWITTER_USERNAME>'

  s.ios.deployment_target = '8.0'
  s.source_files = 'GMShareSDK/Classes/**/*'

  
  
  s.vendored_frameworks = 'GMShareSDK/Frameworks/*.framework'

  s.dependency 'WechatOpenSDK'
  s.dependency 'WeiboSDK'
  s.dependency 'DouyinOpenSDK'
  s.dependency 'GMKit'
  s.dependency 'MBProgressHUD'

  s.dependency 'GMJSONModel'
  s.dependency 'GMPhobos'
  s.dependency 'GMFoundation'
  s.dependency 'Masonry'
  s.frameworks = ['Photos']
  
#  s.libraries = 'xml2', 'z', 'c++', 'sqlite3'
  s.static_framework  =  true
  # s.resource_bundles = {
  #   'GMShareSDK' => ['GMShareSDK/Assets/*.png']
  # }
  s.xcconfig = { 'VALID_ARCHS' => 'arm64 x86_64', }

  
  # s.public_header_files = 'Pod/Classes/**/*.h'
  # s.frameworks = 'UIKit', 'MapKit'
  # s.dependency 'AFNetworking', '~> 2.3'
end
